nixp.ru v3.0

24 мая 2017,
среда,
20:45:46 MSK

DevOps с компанией «Флант»
Аватар пользователя Neokortex
Neokortex написал 20 декабря 2010 года в 12:20 (1240 просмотров) Ведет себя как Гарри Поттер; открыл 9 тем в форуме, оставил 13 комментариев на сайте.

У меня на XUbuntu установлены Opera, Хром, Firefox.

Не хватает Safari, IE 6 и иже c ним.

Я вот через Wine установил Сафари последнюю версию — не работает. Подозреваю что то же будет и с IE.

Как вы справляетесь?

fly4life

crossover?

Дмитрий Шурупов

IE6 и IE7 работают в Wine. Есть даже специальный проект — www.tatanka.com.br/ies4linux/page/Main_Page

Safari не нужен: других браузеров с WebKit — полно, а если вдруг есть какая-то специфика от Apple — они сами себе дураки (их доля того не стоит).

Neokortex

А вы чем вместо Сафари пользуетесь?

Дмитрий Шурупов

Мне хватает Chrome.

Когда-то давно, когда еще не было Chrome, сравнивал WebKit в Safari с каким-то из Open Source-браузеров — были отличия, но не особо критичные. И на Safari вообще проверять перестал (например, нынешнюю верстку nixp я в нем ни разу не открывал). Жалоб не было.

P.S. Вообще, по большому счету, со временем начинаешь писать такой код html/css*, что достаточно проверять в одном любимом браузере (Firefox, Chrome, Opera) и IE. У первой тройки (туда же и Safari) редко всплывают косяки (и чаще у Opera). Или это я стал так ленив?..

* А JS… Нужно использовать хорошие библиотеки — там обо всем позаботились.

Neokortex

Спасибо за ответ. Я тоже так делаю: проверяю только в Firefox и IE 6.

Но иногда моя паранойя дает о себе знать и я проверяю во всех установленных браузерах (в винде установлены все популярные), и крайне редко нахожу косяки в верстке. Чаще в Яваскрипт. Но так как я себя отучаю от использования JS  в чистом виде (все больше jQuery), то думаю проблемы исчезнут. Ладно, значит установлю еще IE и успокоюсь.

Дмитрий Шурупов

Наш скромный опыт с jQuery показал, что полной совместимости с IE она не дает. Глючит иногда. В отличие от prototype. Такие вот дела…

gwinn

Поддерживаю по поводу WebKit, но если нужна совместимость с Safari, не стоит смотреть в сторону Midori, Reqonk и иже с ними, ибо недопилены сильно, ставьте Google Chrome/Chromium browser и будет вам счастье, для IE — Adobe Labs — на 80% хаватает, если что-то заморочестое — никаких Wine, IETester и прочих поделок, они вам будут нагло врать — VirtualBox и Режим совместимости в самом браузере (в смысле в  IE).

Igor V Belousov

safari у меня работает с маленьким глюком(проблемы с отрисовкой формы добавления закладок)

использую PlayOnLinux

 

OlegL

Как вариант: поставить VirtualBox (http://www.virtualbox.org/), под ней завести Windows и установить на неё нужные браузеры.